package com.trade.service.enterprise.customer.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.trade.common.core.dto.BaseSearch;

import java.util.Date;

public class EnterpriseSearchDto extends BaseSearch {
    /**
     * 企业类型，枚举：enterprise_type
     */
    private String enterpriseType;
    /**
     * 企业认证状态，枚举：certification_status
     */
    private String certificationStatus;
    /**
     * 业务产品，枚举：business_product
     */
    private String businessProduct;
    /**
     * 出口类型，枚举：export_type
     */
    private String exportType;

    /**
     * 风控、业务经理
     */
    private String managerName;

    /**
     * 风控、业务经理ID
     */
    private Long managerId;
    /**
     * 注册开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date registrationStartDate;

    /**
     * 注册结束始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date registrationEndDate;

    public String getEnterpriseType() {
        return enterpriseType;
    }

    public void setEnterpriseType(String enterpriseType) {
        this.enterpriseType = enterpriseType;
    }

    public String getCertificationStatus() {
        return certificationStatus;
    }

    public void setCertificationStatus(String certificationStatus) {
        this.certificationStatus = certificationStatus;
    }

    public String getBusinessProduct() {
        return businessProduct;
    }

    public void setBusinessProduct(String businessProduct) {
        this.businessProduct = businessProduct;
    }

    public String getExportType() {
        return exportType;
    }

    public void setExportType(String exportType) {
        this.exportType = exportType;
    }

    public String getManagerName() {
        return managerName;
    }

    public void setManagerName(String managerName) {
        this.managerName = managerName;
    }

    public Long getManagerId() {
        return managerId;
    }

    public void setManagerId(Long managerId) {
        this.managerId = managerId;
    }

    public Date getRegistrationStartDate() {
        return registrationStartDate;
    }

    public void setRegistrationStartDate(Date registrationStartDate) {
        this.registrationStartDate = registrationStartDate;
    }

    public Date getRegistrationEndDate() {
        return registrationEndDate;
    }

    public void setRegistrationEndDate(Date registrationEndDate) {
        this.registrationEndDate = registrationEndDate;
    }
}
